sayren Docs
내 정보

주문상품 행동 실행

주문 상세 `items[].actions`에 켜져 있는 행동만 실행한다. 받을 수 없으면 409 `ACTION_NOT_AVAILABLE`이다. `subflow`가 있는 행동(취소·반품·교환 요청)은 지금 클레임 API로 실행한다.

POST
/storefront/v1/me/order-items/{orderItemId}/actions/{key}

주문 상세 items[].actions에 켜져 있는 행동만 실행한다. 받을 수 없으면 409 ACTION_NOT_AVAILABLE이다. subflow가 있는 행동(취소·반품·교환 요청)은 지금 클레임 API로 실행한다.

AuthorizationBearer <token>

회원 accessToken

In: header

Path Parameters

orderItemId*string
key*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

input?

Response Body

application/json

curl -X POST "https://example.com/storefront/v1/me/order-items/string/actions/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "status": "COMPLETED",    "flowState": {      "key": "string",      "label": "string",      "coreStatus": "PAYMENT_WAITING",      "message": "string",      "enteredAt": "string",      "deadlineAt": "string",      "attachments": [        "string"      ],      "earlierAttachments": [        "string"      ],      "inputs": {        "by": "string",        "values": [          {            "key": "string",            "label": "string",            "type": "string",            "value": "string",            "display": "string"          }        ]      },      "progress": true,      "fields": {        "property1": "string",        "property2": "string"      }    },    "actions": [      {        "key": "string",        "label": "string",        "mode": "INSTANT",        "enabled": true,        "disabled": {          "reason": "string",          "message": "string"        },        "availableUntil": "string",        "subflow": "string",        "input": [          {            "key": "string",            "type": "string",            "required": true,            "label": "string",            "placeholder": "string",            "maxLength": 0,            "maxFiles": 0,            "options": [              "string"            ],            "when": {              "key": "string",              "in": [                "string"              ]            }          }        ],        "partialQuantity": true      }    ],    "affectedOrderItemIds": [      "string"    ],    "claim": {      "claimId": "string",      "claimNo": "string",      "approved": false    }  },  "error": null}